Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1629493 - ledger: Remove (sub)packages from Fedora 30+: python2-ledger
Summary: ledger: Remove (sub)packages from Fedora 30+: python2-ledger
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ledger
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-16 22:19 UTC by Miro Hrončok
Modified: 2020-11-05 09:31 UTC (History)
8 users (show)

Fixed In Version: ledger-3.1.1-22.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:10:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-16 22:19:50 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of ledger were marked for removal:

 * python2-ledger

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-11 12:10:43 UTC
Bogus result, python2-ledger is needed by ledger-devel.

Can this be untangled and removed?

Comment 2 Miro Hrončok 2019-01-09 20:24:06 UTC
Jamie?

Comment 3 Jamie Nguyen 2019-02-05 15:10:26 UTC
(In reply to Miro Hrončok from comment #2)
> Jamie?

I'll sort this out soon. By the end of the month at the latest.

Comment 4 Miro Hrončok 2019-02-26 12:10:53 UTC
The beta freeze is at 2019-03-05. Will you make it? Do you need help?

Comment 5 Jamie Nguyen 2019-03-04 17:10:02 UTC
Sorry for the delay. Build in progress:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1219642

Comment 6 Jamie Nguyen 2019-03-04 18:07:56 UTC
Build completed. Let me know if all OK on your end.

Comment 7 Miro Hrončok 2019-03-04 20:25:51 UTC
Thank You. Seems OK, but please do it in Fedora 30 as well.

Comment 8 Fedora Update System 2019-03-05 09:31:47 UTC
ledger-3.1.1-22.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef4223e459

Comment 9 Fedora Update System 2019-03-06 22:15:46 UTC
ledger-3.1.1-22.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef4223e459

Comment 10 Fedora Update System 2019-03-06 22:53:37 UTC
ledger-3.1.1-22.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef4223e459

Comment 11 Fedora Update System 2019-03-29 19:10:00 UTC
ledger-3.1.1-22.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.